Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.jsp.tags.validators
Class CustomizableAdapter

    java.lang.Object
      |
      +--weblogicx.jsp.tags.validators.CustomizableAdapter

Direct Known Subclasses:
  CompareValidator, RegExpValidator, RequiredFieldValidator

public abstract class CustomizableAdapter
extends java.lang.Object
implements Customizable

class provides the default base implementation of the Customizable interface, users can extend this class and override beaviour

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `errorMessage`
`protected java.lang.String` | `expression`
`protected java.lang.String` | `fieldToValidate`

Constructor Summary
`CustomizableAdapter()`

Method Summary
`static java.lang.String` | `attributeDequote(java.lang.String attr)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getErrorMessage()`
`java.lang.String` | `getExpression()`
`java.lang.String` | `getFieldToValidate()`
`void` | `setErrorMessage(java.lang.String error)`
`void` | `setExpression(java.lang.String exp)` customExpression which may be used by the implementor for use in the validate method
`void` | `setFieldToValidate(java.lang.String control)`
`abstract boolean` | `validate(javax.servlet.ServletRequest request)` users may use this method to validate the value of the parameter in the request for eg: the parameter value must contain NYC or it must not contain XYZ or they may even validate it against the custom expression set optionally.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fieldToValidate

    protected java.lang.String fieldToValidate

### errorMessage

    protected java.lang.String errorMessage

### expression

    protected java.lang.String expression

Constructor Detail

### CustomizableAdapter

    public CustomizableAdapter()

Method Detail

### setFieldToValidate

    public void setFieldToValidate(java.lang.String control)

  Specified by:
    setFieldToValidate in interface Customizable

### setErrorMessage

    public void setErrorMessage(java.lang.String error)

  Specified by:
    setErrorMessage in interface Customizable

### setExpression

    public void setExpression(java.lang.String exp)

  customExpression which may be used by the implementor for use in the validate method
  Specified by:
    setExpression in interface Customizable

### getExpression

    public java.lang.String getExpression()

### getFieldToValidate

    public java.lang.String getFieldToValidate()

### getErrorMessage

    public java.lang.String getErrorMessage()

### validate

    public abstract boolean validate(javax.servlet.ServletRequest request)
                              throws java.lang.Exception

  users may use this method to validate the value of the parameter in the request for eg: the parameter value must contain NYC or it must not contain XYZ or they may even validate it against the custom expression set optionally.
  Specified by:
    validate in interface Customizable

  Parameters:
    `request` - : received

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    equals in class java.lang.Object

### attributeDequote

    public static java.lang.String attributeDequote(java.lang.String attr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD